<?php

namespace Modules\Deal\Interfaces;

use Modules\Deal\Models\Deal;

interface DealRepositoryInterface
{
    public function get(array $request);
    public function getItem(int $id);
    public function checkItem(int $id);
    public function create(array $request): Deal;
    public function update(array $request, Deal $deal): Deal;
    public function destroy(Deal $deal): void;
    public function destroyAll(array $ids): void;
    public function restore(Deal $deal): void;
    public function restoreAll(array $ids): void;
}
